Bug 205540 - mail/heirloom-mailx: Fix build with LibreSSL
Summary: mail/heirloom-mailx: Fix build with LibreSSL
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Some People
Assignee: Bernard Spil
URL:
Keywords: easy, patch
Depends on:
Blocks:
 
Reported: 2015-12-23 15:04 UTC by Bernard Spil
Modified: 2016-07-02 11:23 UTC (History)
2 users (show)

See Also:
bugzilla: maintainer-feedback? (jamie)


Attachments
svn diff for mail/heirloom-mailx (2.83 KB, patch)
2015-12-23 15:04 UTC, Bernard Spil
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Bernard Spil freebsd_committer 2015-12-23 15:04:56 UTC
Created attachment 164551 [details]
svn diff for mail/heirloom-mailx

mail/heirloom-mailx unconditionally relies on RAND_egd which makes building fail with LibreSSL which has removed EGD.

FreeBSD does not require EGD at all, /dev/random has been available since FreeBSD 4.2
Comment 1 Bernard Spil freebsd_committer 2015-12-23 15:10:18 UTC
 - portlint -AC one line less, openssl.c patch generated via make-patch
 - poudriere testport https://brnrd.eu/poudriere/data/102amd64-svn/2015-12-23_16h05m32s/logs/heirloom-mailx-12.4_7.log
Comment 2 Martin Wilke freebsd_committer 2016-01-02 06:37:55 UTC
Submitter is committer
Comment 3 commit-hook freebsd_committer 2016-07-02 11:22:14 UTC
A commit references this bug:

Author: brnrd
Date: Sat Jul  2 11:22:01 UTC 2016
New revision: 417925
URL: https://svnweb.freebsd.org/changeset/ports/417925

Log:
  mail/heirloom-mailx: Fix build without EGD

    - Add patch for building without EGD (OpenSSL 1.1/LibreSSL)
    - Move from USE_OPENSSL to USES=ssl

  PR:		205540
  Approved by:	Maintainer timeout

Changes:
  head/mail/heirloom-mailx/Makefile
  head/mail/heirloom-mailx/files/patch-openssl.c